## GAP TASK

## Starting of project

# Locally
Run index.html file.
# In IDE
Run index.html in live server.


## Testing

# npm test or npm run test
To run tests, you need to install Jest first:  
npm install --save-dev jest  
Then you can use the following commands for different actions:
# To Test a Single File
bash$ npx jest filename.test.js 
# To Test All Files in a Directory
bash$ npx jest directoryname
# Watching Files
bash$ npx jest -w  
Watch Usage
 › Press f to run only failed tests.
 › Press o to only run tests related to changed files.
 › Press p to filter by a filename regex pattern.
 › Press t to filter by a test name regex pattern.
 › Press q to quit watch mode.
 › Press Enter to trigger a test run.

## Test Coverage

# npm run coverage
To check the number of line code covered in the jest tests.



## Client requirements of Project 
Frontend Javascript question
# Problem Create the following UI:
- Create an empty container div in the HTML file.
- Programmatically create multiple child divs in the container, say 10. Use 
Javascript.
- Give all the child divs a black background.
- Lay out the child divs horizontally within the container.
- Whenever the user clicks one of the child divs, the child div should respond as 
follows:
 - If the child div does not have a blue background:
 - Give the child div a blue background.
 - Print out the child div's index. If the 7th div is getting a blue background, 
say "Turning ON 7".
 - If the child div does have a blue background:
 - Give the child div its original background color.
 - Print out the child div's index. If the 4th div is removing the blue 
background, say "Turning OFF 4".
# Requirements:
- Should work for 3, 10, 27, however many child divs. They do not all need to be on 
the same line, but they should still lay out horizontally (across multiple lines if 
necessary).
- Combine HTML, CSS, and JavaScript